Method: projects.locations.producerExtensions.list

Lists ProducerExtension resources in a given project and location.

HTTP request

GET https://networkservices.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/producerExtensions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location from which the ProducerExtension resources should be listed, specified in this format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of ProducerExtension resources to return per call.

pageToken

string

Optional. The value returned by the last ListProducerExtensionsResponse. It indicates that this is a continuation of a prior producerExtensions.listcall, and that the system should return the next page of data.

Request body

The request body must be empty.

Response body

Response returned by the producerExtensions.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "producerExtensions": [
    {
      object (ProducerExtension)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
producerExtensions[]

object (ProducerExtension)

List of ProducerExtension resources.

nextPageToken

string

If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.

unreachable[]

string

Unordered list. Unreachable resources. Populated when the request attempts to list all resources across all supported locations, while some locations are temporarily unavailable. The resource names are in the format: projects/{project}/locations/{location}/producerExtensions/{producerExtension}.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • networkservices.producerExtensions.list

For more information, see the IAM documentation.